Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2035

Summary: BOOTP doesn't work
Product: [Retired] Red Hat Linux Reporter: rebel
Component: installerAssignee: Erik Troan <ewt>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-01 19:29:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description rebel 1999-04-07 15:54:56 UTC
The automatic configuring of a network through the BOOTP
doesn't work. I tried the latest boot image.

The same situation is after installation. That should be
probably the pump package issue, but I can't find the "pump"
in components list.

Comment 1 Preston Brown 1999-04-07 22:36:59 UTC
erik, I figure this has been fixed, correct?

Comment 2 Matt Wilson 1999-04-17 21:06:59 UTC
what's the output of "rpm -q pump"

Comment 3 rebel 1999-04-20 14:25:59 UTC
The latest pump (0.5) is functinal. Only when the BOOTP protocol is
used it doesn't need to stay running forever.

Comment 4 Matt Wilson 1999-04-27 15:15:59 UTC
pump shouldn't fork for bootp replies, right?  but I guess it's hard
to handle that case.

Comment 5 rebel 1999-05-06 08:57:59 UTC
I think it should be enough if pump could have a parameter
(--nodaemon) to stop after the first init.

Also is there any way to add another data to resolv.conf, such as
additional searches, automatically?

Comment 6 Erik Troan 1999-06-01 19:29:59 UTC
pump intentionally hides the differences between bootp and dhcp; as
part of this it always goes into daemon mode. This doesn't hurt
anything, and makes things a bit easier on our scripts. I would
welcome a patch for a --nodaemon option.

More flexible /etc/resolv.conf generation is on the todo list.